Bug 1379310 (CVE-2016-7052) - CVE-2016-7052 openssl: Missing CRL sanity check
Summary: CVE-2016-7052 openssl: Missing CRL sanity check
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-7052
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1367347
TreeView+ depends on / blocked
 
Reported: 2016-09-26 10:47 UTC by Tomas Hoger
Modified: 2019-09-29 13:57 UTC (History)
31 users (show)

Fixed In Version: openssl 1.0.2j
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-26 10:52:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2662211 None None None 2016-09-28 00:42:37 UTC

Description Tomas Hoger 2016-09-26 10:47:57 UTC
Quoting form the OpenSSL upstream advisory:


Missing CRL sanity check (CVE-2016-7052)
========================================

Severity: Moderate

This issue only affects OpenSSL 1.0.2i, released on 22nd September 2016.

A bug fix which included a CRL sanity check was added to OpenSSL 1.1.0
but was omitted from OpenSSL 1.0.2i. As a result any attempt to use
CRLs in OpenSSL 1.0.2i will crash with a null pointer exception.

OpenSSL 1.0.2i users should upgrade to 1.0.2j

The issue was reported to OpenSSL on 22nd September 2016 by Bruce Stephens and
Thomas Jakobi. The fix was developed by Matt Caswell of the OpenSSL development
team.


External References:

https://www.openssl.org/news/secadv/20160926.txt

Comment 1 Tomas Hoger 2016-09-26 10:52:28 UTC
Upstream commit:

https://git.openssl.org/?p=openssl.git;a=commitdiff;h=6e629b5be45face20b4ca71c4fcbfed78b864a2e

No Red Hat product was affected by this issue, as there's no product includes OpenSSL version 1.0.2i.

Fedora openssl packages are being updated to 1.0.2i in response to upstream security advisory released on Sep22, but those updates have not yet been pushed to stable.  Fedora update requests will be updated to include packages with this issue addressed before updates are pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.